/*
 * Licensed Materials - Property of IBM 
 * OSGi Applications Blog Sample
 *  Copyright IBM Corporation 2010. All Rights Reserved 
 * U.S. Government Users Restricted Rights -  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
package com.ibm.ws.eba.example.blog.api;

import java.util.List;

public interface BlogAuthor
{
  /** Get the author's display name 
   *  @return the display name String
   */
  String getName();

  /** Get the author's full name
   *  @return the full name String
   */
  String getFullName();

  /** Get the author's email address 
   *  @return the email address String
   */
  String getEmailAddress();

  /** Get the author's biography 
   *  @return the biography String
   */
  String getBio();

  /** Get the author's date of birth 
   *  @return the date of birth String (dd-mm-yyyy) 
   */
  String getDateOfBirth();
  
  /**
   * 
   * @return a list of Blog Entries
   */
  List<? extends BlogEntry> getEntries();
}
