/*
 * Licensed Materials - Property of IBM 
 * OSGi Applications Blog Sample
 *  Copyright IBM Corporation 2010. All Rights Reserved 
 * U.S. Government Users Restricted Rights -  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
package com.ibm.ws.eba.example.blog.api;

public interface BlogComment
{
  /** Get comment 
   *  @return the String representing the comment 
   */
  String getComment();
  
  /** Get the author of the comment 
   *  @return the BlogAuthor instance 
   */
  BlogAuthor getAuthor();
  
  /** Get the parent blog post for the comment 
   *  @return the BlogPost instance the comment is attached to.  
   */
  BlogEntry getEntry();

  /** Get the Id value of the comment 
   *  @return the integer id of the comment 
   */
  int getId();
  
  /** Get the creation date for the comment 
   *  @return the String representation of the date the comment was
   *  created in dd-mm-yyyy format. 
   */
  String getCommentCreationDate();
  
}
