/*
 * Licensed Materials - Property of IBM 
 * OSGi Applications Blog Sample
 *  Copyright IBM Corporation 2010. All Rights Reserved 
 * U.S. Government Users Restricted Rights -  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
package com.ibm.ws.eba.example.blog.api;

import java.util.List;

public interface BlogCommentManager {
	/**
	 * Create a comment by an author (email) against a post (Id)
	 * @param comment
	 * @param email
	 * @param entryId
	 */
	public void createComment(String comment, String email, long entryId);

	/**
	 * Get all the comments made by an author
	 * @param email
	 * @return a list of comments made by an author
	 */
	public List<? extends BlogComment> getCommentsByAuthor(String email);

	/**
	 * 
	 * @param id
	 * @return A list of comments made about an entry
	 */
	public List<? extends BlogComment> getCommentsForPost(long id); 

	/**
	 * Delete a specific comment using it's id
	 * @param id
	 */
	public void deleteComment(int id);

	/**
	 * Check to see whether the comment service is available
	 * @return
	 */
	public boolean isCommentingAvailable();


}
