/*
 * Licensed Materials - Property of IBM 
 * OSGi Applications Blog Sample
 *  Copyright IBM Corporation 2010. All Rights Reserved 
 * U.S. Government Users Restricted Rights -  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
package com.ibm.ws.eba.example.blog.api;

import java.util.Date;

public interface BlogEntry
{
  /** 
   * Get the title of the blog posting.
   * @return the title String
   */
  String getTitle();

  /** 
   * Get the body of the blog posting.
   * @return the body content as a String
   */
  String getBody();

  /** 
   * Get the author of the blog entry.
   * @return the author of this post
   */
  BlogAuthor getAuthor();

  /**
   * Get the email address of the author of the blog posting.
   * @return the author's email address
   */
  String getAuthorEmail();

  /**
   * Get the publish date of a blog posting.
   * @return the date of publish
   */
  public Date getPublishDate();

  /**
   * Get the Id value for the blog posting. 
   * @return the id value
   */
  public long getId();
  
}