/*
 * Licensed Materials - Property of IBM 
 * OSGi Applications Blog Sample
 *  Copyright IBM Corporation 2010. All Rights Reserved 
 * U.S. Government Users Restricted Rights -  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
package com.ibm.ws.eba.example.blog.persistence.api;

import java.util.Date;
import java.util.List;

/**
 * This class represents a blog post Author
 */

public interface Author
{

  /** Get the author's email address */
  public String getEmail();
  

  /** Get the author's full name */
  public String getName();
 
 
  /** Get the author's displayed name */
  public String getDisplayName();
 

  /** Get the author's biographical information */
  public String getBio();
 

  /** Get the author's date of birth */
  public Date getDob();
  
  
  /** Get the author's blog posts */
  public List<? extends Entry> getEntries();
  
  
}
