/*
 * Licensed Materials - Property of IBM 
 * OSGi Applications Blog Sample
 *  Copyright IBM Corporation 2010. All Rights Reserved 
 * U.S. Government Users Restricted Rights -  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
package com.ibm.ws.eba.example.blog.web;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ibm.ws.eba.example.blog.api.BlogAuthor;
import com.ibm.ws.eba.example.blog.api.BloggingService;
import com.ibm.ws.eba.example.blog.web.util.HTMLOutput;
import com.ibm.ws.eba.example.blog.web.util.JNDIHelper;

public class ViewAuthor extends HttpServlet
{
  private static final long serialVersionUID = 3020369464892668248L;

  @Override
  protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException,
      IOException
  {
    String email = req.getParameter("email");
    
    email = ValidationUtils.processInputData( email );
    
    if (email == null || "".equals(email)) {
      // TODO dispatch to another page
    } else {
      PrintWriter out = resp.getWriter();
      
      BloggingService service = JNDIHelper.getBloggingService();
      
      BlogAuthor author = service.getBlogAuthor(email);
      
      HTMLOutput.writeHTMLHeaderPartOne(out, author.getName());
      HTMLOutput.writeHTMLHeaderPartTwo(out);
      
      out.println("<h1 class=\"header\">Name</h1>");
      out.print("<div class=\"text\">");
      out.print(author.getFullName());
      out.println("</div>");
      out.println("<h1 class=\"header\">Nick Name</h1>");
      out.print("<div class=\"text\">");
      out.print(author.getName());
      out.println("</div>");
      out.println("<h1 class=\"header\">Email</h1>");
      out.print("<div class=\"text\">");
      out.print(author.getEmailAddress());
      out.println("</div>");
      out.println("<h1 class=\"header\">Bio</h1>");
      out.print("<div class=\"text\">");
      out.print(author.getBio());
      out.println("</div>");
      
      out.print("<a href=\"EditAuthorForm?email=");
      out.print(author.getEmailAddress());
      out.println("\">Edit Author Information</a>");
      
      HTMLOutput.writeHTMLFooter(out);
    }
  }
}