/*
 * Licensed Materials - Property of IBM 
 * OSGi Applications Blog Sample
 *  Copyright IBM Corporation 2010. All Rights Reserved 
 * U.S. Government Users Restricted Rights -  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
package com.ibm.ws.eba.example.blog.web.util;

import java.io.IOException;

import javax.naming.InitialContext;
import javax.naming.NamingException;

import com.ibm.ws.eba.example.blog.api.BloggingService;

public class JNDIHelper {
	public static final BloggingService getBloggingService() throws IOException {
		try {
			InitialContext ic = new InitialContext();

			return (BloggingService) ic.lookup("osgi:service/"
					+ BloggingService.class.getName());
		} catch (NamingException e) {
			e.printStackTrace();
			IOException ioe = new IOException(
					"Blogging service resolution failed");
			ioe.initCause(e);
			throw ioe;
		}
	}
}
