/*
 * Licensed Materials - Property of IBM 
 * OSGi Applications Blog Sample
 *  Copyright IBM Corporation 2010. All Rights Reserved 
 * U.S. Government Users Restricted Rights -  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
package com.ibm.ws.eba.example.blog;

import java.util.Date;

import com.ibm.ws.eba.example.blog.api.BlogAuthor;
import com.ibm.ws.eba.example.blog.api.BlogEntry;
import com.ibm.ws.eba.example.blog.persistence.api.Entry;


/** Implementation of a BlogPast */
public class BlogEntryImpl implements BlogEntry
{
  public Entry theEntry; 

  public BlogEntryImpl(Entry blogEntry)
  {
    theEntry = blogEntry;
  }

  public BlogAuthor getAuthor()
  {
	  
	  return new BlogAuthorImpl(theEntry.getAuthor());
  }

  public String getBody()
  {
    return theEntry.getBlogText();
  }

  public String getTitle()
  {
    return theEntry.getTitle();
  }

  public String getAuthorEmail()
  {
    return theEntry.getAuthor().getEmail();
  }
  
  public Date getPublishDate()
  {
    return theEntry.getPublishDate();
  }
  
  public long getId()
  {
    return theEntry.getId();
  }

}